%global git0 https://github.com/containers/%{name}

Name: fuse-overlayfs
Version: 1.1.2
Release: 3%{?dist}
Summary: FUSE overlay+shiftfs implementation for rootless containers
License: GPLv3+
URL: %{git0}
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64
Source0: %{git0}/archive/v%{version}.tar.gz
# related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1867447
# patch:       https://bugzilla.redhat.com/show_bug.cgi?id=1867447#c6
Patch0: fuse-overlayfs-1867447.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: make

%description
%{summary}.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Sep 18 2020 Jindrich Novy <jnovy@redhat.com> - 1.1.2-3
- fix "error bind mounting /dev from host into mount namespace"
  (the openat2 syscall is not yet supported by the RHEL8 kernel)
- Resolves: #1867447

* Tue Aug 11 2020 Jindrich Novy <jnovy@redhat.com> - 1.1.2-2
- use proper CFLAGS
- Related: #1821193

* Mon Jun 29 2020 Jindrich Novy <jnovy@redhat.com> - 1.1.2-1
- update to https://github.com/containers/fuse-overlayfs/releases/tag/v1.1.2
- Related: #1821193

* Mon Jun 22 2020 Jindrich Novy <jnovy@redhat.com> - 1.1.1-1
- update to https://github.com/containers/fuse-overlayfs/releases/tag/v1.1.1
- Related: #1821193

* Thu Jun 18 2020 Jindrich Novy <jnovy@redhat.com> - 1.1.0-1
- update to https://github.com/containers/fuse-overlayfs/releases/tag/v1.1.0
- Related: #1821193

* Tue May 12 2020 Jindrich Novy <jnovy@redhat.com> - 1.0.0-1
- synchronize containter-tools 8.3.0 with 8.2.1
- Related: #1821193

* Tue Apr 07 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.8-1
- update to https://github.com/containers/fuse-overlayfs/releases/tag/v0.7.8
- Related: #1821193

* Thu Mar 19 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-5
- latest iteration of segfault fix patch, thanks to Giuseppe Scrivano
- Resolves: #1805017

* Fri Mar 06 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-4
- replace "fuse-overlayfs segfault" patch with improved one
  due to application to a different context
- Resolves: #1805017

* Thu Feb 20 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-3
- fix "fuse-overlayfs segfault"
- Resolves: #1805017

* Mon Feb 17 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-2
- fix "useradd and groupadd fail under rootless Buildah and podman"
- Resolves: #1803496

* Fri Nov 29 2019 Jindrich Novy <jnovy@redhat.com> - 0.7.2-1
- update to 0.7.2
- Related: RHELPLAN-25139

* Fri Nov 29 2019 Jindrich Novy <jnovy@redhat.com> - 0.7.1-1
- update to 0.7.1
- Related: RHELPLAN-25139

* Mon Nov 18 2019 Jindrich Novy <jnovy@redhat.com> - 0.7-1
- update to 0.7
- apply patch to fix build on RHEL-8
- Related: RHELPLAN-25139

* Sat Jun 15 2019 Lokesh Mandvekar <lsm5@redhat.com> - 0.4.1-1
- Resolves: #1720654 - rebase to v0.4.1

* Wed Jan 16 2019 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.3-2
- rebase
- Resolves:#1666510

* Wed Oct 17 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-7.dev.git50c7a50
- Resolves: #1640232
- built commit 50c7a50

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-6.dev.git1c72a1a
- Resolves: #1614856 - add manpage
- built commit 1c72a1a
- add BR: go-md2man

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-5.dev.gitd40ac75
- built commit d40ac75
- remove fedora bz ids
- Exclude ix86 and ppc64

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-4.dev.git79c70fd
- Resolves: #1609598 - initial upload to Fedora
- bundled gnulib

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-3.dev.git79c70fd
- correct license field

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-2.dev.git79c70fd
- fix license

* Sun Jul 29 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-1.dev.git13575b6
- First package for Fedora
